Bug 1470738 - Not possible to refresh automate from GIT using API call
Not possible to refresh automate from GIT using API call
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.7.0
Unspecified Unspecified
medium Severity high
: GA
: 5.9.0
Assigned To: mkanoor
Dmitry Misharov
: TestOnly, ZStream
Depends On:
Blocks: 1471204 1478554
  Show dependency treegraph
 
Reported: 2017-07-13 10:31 EDT by vaclav.miller
Modified: 2018-05-29 08:23 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1471204 1478554 (view as bug list)
Environment:
Last Closed: 2018-03-06 10:20:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vaclav.miller 2017-07-13 10:31:01 EDT
Description of problem:

At 5.7.3:
We create a GIT repo for custom atutomate model from the CFME UI.
First time automate import from GIT goes well.

Later, when there is update of code we like to refresh in CFME using API (API refresh domain).
Refresh fails, there are issues with ssl verification.

Version-Release number of selected component (if applicable):


How reproducible:
follow description

Steps to Reproduce:
1. create automate domain
2. import code to automate from GIT using UI
3. make update in GIT autoamte code
4. trigger API refresh domain

Actual results:


Expected results:


Additional info: disccused at https://github.com/ManageIQ/manageiq-automation_engine/pull/42
Comment 3 CFME Bot 2017-07-13 13:08:48 EDT
New commit detected on ManageIQ/manageiq-automation_engine/master:
https://github.com/ManageIQ/manageiq-automation_engine/commit/0f7a2db667c38456d03c595de1c2992e5411bb39

commit 0f7a2db667c38456d03c595de1c2992e5411bb39
Author:     mkanoor <mkanoor@redhat.com>
AuthorDate: Thu Jul 13 11:45:47 2017 -0400
Commit:     mkanoor <mkanoor@redhat.com>
CommitDate: Thu Jul 13 11:45:47 2017 -0400

    Don't unconditionally update verify_ssl
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1470738

 app/models/miq_ae_git_import.rb       |  2 +-
 spec/models/miq_ae_git_import_spec.rb | 11 ++++++++++-
 2 files changed, 11 insertions(+), 2 deletions(-)
Comment 6 Milan Falešník 2017-11-03 06:17:18 EDT
Verified in 5.9.0.5 using https://bugzilla.redhat.com/show_bug.cgi?id=1478554#c3

Note You need to log in before you can comment on or make changes to this bug.